/* css for slider */

.hero-slider {
    width: 100%;
    margin-top: 20px;
}

.swiper-slide {
    position: relative;
    padding-bottom: 40px;
}

.swiper-slide img {
    width: 100%;
    height: 260px;
    object-fit: cover;
    border-radius: 14px;
}

.slide-content {
    text-align: center;
    margin-top: 18px;
    padding: 0 12px;
}

.slide-content h2 {
    color: #222;
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 12px;
}

.shop-btn {
    display: inline-block;
    background: #d4af37;
    color: black;
    padding: 12px 26px;
    border-radius: 8px;
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;

    transition: all 0.3s ease;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
}

.shop-btn:hover {
    background: #b8962e;

    transform: translateY(-4px);
    box-shadow: 0 8px 18px rgba(0, 0, 0, 0.25);
}

.swiper-button-next,
.swiper-button-prev {
    color: #d4af37;
}

.swiper-pagination {
    margin-top: 12px;
    position: relative;
}

.swiper-pagination-bullet {
    background: #aaa;
}

.swiper-pagination-bullet-active {
    background: #d4af37;
}

@keyframes slideUp {
    from {
        transform: translateY(20px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@media (max-width:500px) {

    .slide-content h2 {
        font-size: 22px;
    }

    .shop-btn {
        font-size: 16px;
        padding: 12px 24px;
    }

}

@media (min-width:680px) {

    .swiper-slide img {
        height: 400px;
    }

    .slide-content h2 {
        font-size: 32px;
    }

}

@media (min-width:950px) {

    .swiper-slide img {
        height: 440px;
    }

    .slide-content h2 {
        font-size: 36px;
    }

}

@media (min-width:1300px) {

    .swiper-slide img {
        height: 480px;
    }

    .slide-content h2 {
        font-size: 38px;
    }

}